Package org.pushingpixels.substance.swingx

# Class SubstanceTipOfTheDayUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.jdesktop.swingx.plaf.TipOfTheDayUI
org.jdesktop.swingx.plaf.basic.BasicTipOfTheDayUI
org.pushingpixels.substance.swingx.SubstanceTipOfTheDayUI

public class SubstanceTipOfTheDayUI extends org.jdesktop.swingx.plaf.basic.BasicTipOfTheDayUI
Substance-consistent UI delegate for `JXTipOfTheDay`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.pushingpixels.substance.internal.animation.IconGlowTracker`
`iconGlowTracker`

### Fields inherited from class org.jdesktop.swingx.plaf.basic.BasicTipOfTheDayUI

`changeListener, currentTipComponent, tipArea, tipFont, tipPane`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceTipOfTheDayUI(org.jdesktop.swingx.JXTipOfTheDay tip)`
Creates a new UI delegate.

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`protected void`
`installComponents()`

### Methods inherited from class org.jdesktop.swingx.plaf.basic.BasicTipOfTheDayUI

`createChangeListener, createDialog, createDialog, getPreferredSize, installDefaults, installKeyboardActions, installListeners, installUI, showCurrentTip, uninstallComponents, uninstallDefaults, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### iconGlowTracker

protected org.pushingpixels.substance.internal.animation.IconGlowTracker iconGlowTracker

## Constructor Details

### SubstanceTipOfTheDayUI

public SubstanceTipOfTheDayUI(org.jdesktop.swingx.JXTipOfTheDay tip)
Creates a new UI delegate.

Parameters:
  `tip` - Tip component.

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installComponents

protected void installComponents()

Overrides:
  `installComponents` in class `org.jdesktop.swingx.plaf.basic.BasicTipOfTheDayUI`